Mailinglist Archive: opensuse-security-announce (31 mails)

< Previous Next >
[security-announce] SUSE-SU-2011:1075-1: important: Security update for quagga
SUSE Security Update: Security update for quagga
______________________________________________________________________________

Announcement ID: SUSE-SU-2011:1075-1
Rating: important
References: #718056 #718058 #718059 #718061 #718062
Cross-References: CVE-2011-3323 CVE-2011-3324 CVE-2011-3325
CVE-2011-3326 CVE-2011-3327
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Server 10 SP3
SLE SDK 10 SP4
SLE SDK 10 SP3
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:


This update fixes the following security issues:

* 718056: OSPF6D buffer overflow while decoding Link
State Update with Inter Area Prefix Lsa (CVE-2011-3323)
* 718058: OSPF6D DoS while decoding Database
Description packet (CVE-2011-3324)
* 718059: OSPFD DoS while decoding Hello packet
(CVE-2011-3325)
* 718061: OSPFD DoS while decoding Link State Update
(CVE-2011-3326)
* 718062: DoS while decoding EXTENDED_COMMUNITIES in
Quagga's BGP (CVE-2011-3327)

Security Issue references:

* CVE-2011-3324
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3324
>
* CVE-2011-3327
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3327
>
* CVE-2011-3325
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3325
>
* CVE-2011-3326
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3326
>
* CVE-2011-3323
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3323
>

Contraindications:



Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-quagga-5169

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-quagga-5169

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-quagga-5169

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

quagga-devel-0.99.15-0.6.2

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64):

quagga-0.99.15-0.6.2

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

quagga-0.99.15-0.6.2

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

quagga-0.99.15-0.6.2

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

quagga-0.99.9-14.11.9
quagga-devel-0.99.9-14.11.9

- SUSE Linux Enterprise Server 10 SP3 (i586 ia64 ppc s390x x86_64):

quagga-0.99.9-14.11.9
quagga-devel-0.99.9-14.11.9

- SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):

quagga-0.99.9-14.11.9
quagga-devel-0.99.9-14.11.9

- SLE SDK 10 SP3 (i586 ia64 ppc s390x x86_64):

quagga-0.99.9-14.11.9
quagga-devel-0.99.9-14.11.9


References:

http://support.novell.com/security/cve/CVE-2011-3323.html
http://support.novell.com/security/cve/CVE-2011-3324.html
http://support.novell.com/security/cve/CVE-2011-3325.html
http://support.novell.com/security/cve/CVE-2011-3326.html
http://support.novell.com/security/cve/CVE-2011-3327.html
https://bugzilla.novell.com/718056
https://bugzilla.novell.com/718058
https://bugzilla.novell.com/718059
https://bugzilla.novell.com/718061
https://bugzilla.novell.com/718062

http://download.novell.com/patch/finder/?keywords=8305dbd2a7b9ca1e42b8333a95699694

http://download.novell.com/patch/finder/?keywords=cd3c1bf2e33f25c0bb1223847e6a9013

http://download.novell.com/patch/finder/?keywords=f7777ccc3793cd9932158dd2361c840a

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages